Package de.gebit.integrity.ui.preferences

## Class IntegrityRootPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.jface.preference.FieldEditorPreferencePage
      - - org.eclipse.xtext.ui.editor.preferences.AbstractPreferencePage
        - - org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage
          - - de.gebit.integrity.ui.preferences.IntegrityRootPreferencePage

- All Implemented Interfaces:
    `EventListener`, `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`, `org.eclipse.jface.util.IPropertyChangeListener`, `org.eclipse.ui.IWorkbenchPreferencePage`, `org.eclipse.ui.IWorkbenchPropertyPage`

      public class IntegrityRootPreferencePage
      extends org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage

  The root preference page.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

      `FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityRootPreferencePage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createFieldEditors()` |
    `protected org.eclipse.jface.preference.IPreferenceStore` | `doGetPreferenceStore()` |
    `void` | `init​(org.eclipse.ui.IWorkbench aWorkbench)` |
    `protected void` | `performApply()` |
    `boolean` | `performOk()` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.preferences.AbstractPreferencePage

      `addField, createContents, createControl, getElement, getLanguageName, getQualifier, getWorkbench, isPropertyPage, qualifiedName, setElement, updateFieldEditors, useProjectSettingsPreferenceName`

    - ### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

      `adjustGridLayout, applyFont, checkState, dispose, getFieldEditorParent, initialize, performDefaults, propertyChange, setVisible`

    - ### Methods inherited from class org.eclipse.jface.preference.PreferencePage

      `applyData, applyDialogFont, computeSize, contributeButtons, createDescriptionLabel, createNoteComposite, doComputeSize, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

    - ### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

      `computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

- - ### Constructor Detail

    - #### IntegrityRootPreferencePage

          public IntegrityRootPreferencePage()

  - ### Method Detail

    - #### init

          public void init​(org.eclipse.ui.IWorkbench aWorkbench)

      Specified by:
        `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`
      Overrides:
        `init` in class `org.eclipse.xtext.ui.editor.preferences.AbstractPreferencePage`

    - #### createFieldEditors

          protected void createFieldEditors()

      Overrides:
        `createFieldEditors` in class `org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage`

    - #### doGetPreferenceStore

          protected org.eclipse.jface.preference.IPreferenceStore doGetPreferenceStore()

      Overrides:
        `doGetPreferenceStore` in class `org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage`

    - #### performApply

          protected void performApply()

      Overrides:
        `performApply` in class `org.eclipse.jface.preference.PreferencePage`

    - #### performOk

          public boolean performOk()

      Specified by:
        `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
      Overrides:
        `performOk` in class `org.eclipse.xtext.ui.editor.preferences.AbstractPreferencePage`